Ask Your Question
1

eigen3.0.5 upgrade to eigen 3.2.1 in Ubuntu Precise 12.04

asked 2014-04-09 03:16:57 -0500

prince gravatar image

Hi The stable version release of Eigen3 library in Ubuntu 12.04 is version 3.0.5. I am trying to upgrade eigen3 to atleast version 3.2.1. It is required for compilation of hierarchical branch of g2o lib.

any suggestion how this can be solved.

thanks nitin

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2014-08-07 21:14:43 -0500

Hi Nitin,

Yes you are correct, Ubuntu 12.04 stable uses Eigen 3.0.X. You can do any of the following;

  • Clone eigen repo or download source and compile and install it on your machine
  • Upgrade to 3.2 from the following deb provided by the yade crew - http://packages.yade-dem.org/precise/...
  • Upgrade to Ubuntu 12.10 or the latest stable Ubuntu 14.04 ( not really recommended until ROS indigo is fully stable on 14.04 )

Mrinal Kalakrishnan's STOMP libraries also require at least eigen 3.1. He got around the issue by catkinising eigen here https://github.com/kalakris/eigen . Though I wouldn't necessarily recommend that.

Hope this helps, Jeremy

edit flag offensive delete link more

Comments

I am just wondering whether will upgrading the Eigen break other packages? May be because of API issue!

prince gravatar imageprince ( 2014-08-26 19:16:14 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-04-09 03:16:57 -0500

Seen: 1,606 times

Last updated: Aug 07 '14